//+------------------------------------------------------------------+
//|                                               ChangeBgColour.mq4 |
//|                                           Copyright 2019, pipPod |
//|                             https://www.mql5.com/en/users/pippod |
//+------------------------------------------------------------------+
#property copyright "Copyright 2019, pipPod"
#property link      "https://www.mql5.com/en/users/pippod"
#property version   "1.00"
#property strict
#property indicator_chart_window
#include <Charts\Chart.mqh>
CChart chrt;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int OnInit()
  {
//--- indicator buffers mapping
   chrt.Attach();
   ENUM_TIMEFRAMES timeFrame=ENUM_TIMEFRAMES(_Period);
   if(timeFrame<=PERIOD_M15)
      chrt.ColorBackground(clrGreen);
   else if(timeFrame<=PERIOD_D1)   
      chrt.ColorBackground(clrYellow);
   else 
      chrt.ColorBackground(clrRed);
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {
//---
   
//--- return value of prev_calculated for next call
   return(rates_total);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
   chrt.ColorBackground(clrBlack);
   chrt.Detach();
  }  

//+------------------------------------------------------------------+
